<template>
  <div class="public-bounced" v-draw v-show="flag">
    <div class="public-bounced-title">
      <span>{{ displayContent.Name }}</span>
      <i class="el-icon-circle-close" @click="closePopup"></i>
    </div>
    <div class="public-bounced-content">
      <div class="public-bounced-content-left">
        <GasTable></GasTable>
        <GasECharts></GasECharts>
<!--        <GasTabs></GasTabs>-->
      </div>
      <div class="public-bounced-content-right">
        <GasVideo></GasVideo>
      </div>
    </div>
  </div>
</template>

<script>

import '@/components/BaseNav/SolidWaste/directive'
import GasTable from '@components/BaseNav/PublicBounced/GasComponents/GasTable'
import GasECharts from '@components/BaseNav/PublicBounced/GasComponents/GasECharts'
import GasVideo from '@components/BaseNav/PublicBounced/GasComponents/GasVideo'
// import GasTabs from '@components/BaseNav/PublicBounced/GasComponents/GasTabs'

export default {
  name: 'PublicBounced',
  components: {
    // GasTabs,
    GasTable,
    GasECharts,
    GasVideo
  },
  data () {
    return {
      displayContent: [],
      flag: false
    }
  },
  methods: {
    setData (data) {
      this.displayContent = data
      this.flag = true
    },
    closePopup () {
      this.flag = false
    }
  }
}
</script>

<style lang="less" scoped>
.public-bounced {
  width: 80%;
  height: 450px;
  z-index: 999;
  position: absolute;
  top: 25%;
  left: 10%;
  background-color: #002432;
  margin: 1% auto;
  border: 1px #9fc5c8 solid;

  .public-bounced-title {
    width: 100%;
    border: 1px #a4c0d8 solid;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 5px 0;

    span {
      color: #f4f7ff;
      margin: 0 15px;
      font-size: 14px;
    }

    i {
      color: white;
      margin: 0 15px;
      font-size: 22px;
    }
  }

  .public-bounced-content {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-around;

    .public-bounced-content-left {
      width: 48%;
      height: 400px;
    }

    .public-bounced-content-right {
      width: 48%;
      height: 400px;
    }
  }

}
</style>
